Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 4465)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 4466)
@@ -2692,32 +2692,32 @@
 
              v_comp_l       = v(k,j,i) + v(k,j-1,i) - gv
-             flux_s_v(k,tn) = v_comp_l * (                                    &
-                            ( 37.0_wp * ibit14 * adv_mom_5                    &
-                         +     7.0_wp * ibit13 * adv_mom_3                    &
-                         +              ibit12 * adv_mom_1                    &
-                            ) *                                               &
-                                        ( v(k,j,i)   + v(k,j-1,i) )           &
-                     -      (  8.0_wp * ibit14 * adv_mom_5                    &
-                         +              ibit13 * adv_mom_3                    &
-                            ) *                                               &
-                                        ( v(k,j+1,i) + v(k,j-2,i) )           &
-                     +      (           ibit14 * adv_mom_5                    &
-                            ) *                                               &
-                                        ( v(k,j+2,i) + v(k,j-3,i) )           &
+             flux_s_v(k,tn) = v_comp_l * (                                     &
+                            ( 37.0_wp * ibit14 * adv_mom_5                     &
+                         +     7.0_wp * ibit13 * adv_mom_3                     &
+                         +              ibit12 * adv_mom_1                     &
+                            ) *                                                &
+                                        ( v(k,j,i)   + v(k,j-1,i) )            &
+                     -      (  8.0_wp * ibit14 * adv_mom_5                     &
+                         +              ibit13 * adv_mom_3                     &
+                            ) *                                                &
+                                        ( v(k,j+1,i) + v(k,j-2,i) )            &
+                     +      (           ibit14 * adv_mom_5                     &
+                            ) *                                                &
+                                        ( v(k,j+2,i) + v(k,j-3,i) )            &
                                          )
 
-             diss_s_v(k,tn) = - ABS( v_comp_l ) * (                           &
-                            ( 10.0_wp * ibit14 * adv_mom_5                    &
-                         +     3.0_wp * ibit13 * adv_mom_3                    &
-                         +              ibit12 * adv_mom_1                    &
-                            ) *                                               &
-                                        ( v(k,j,i)   - v(k,j-1,i) )           &
-                     -      (  5.0_wp * ibit14 * adv_mom_5                    &
-                         +              ibit13 * adv_mom_3                    &
-                            ) *                                               &
-                                        ( v(k,j+1,i) - v(k,j-2,i) )           &
-                     +      (           ibit14 * adv_mom_5                    &
-                            ) *                                               &
-                                        ( v(k,j+2,i) - v(k,j-3,i) )           &
+             diss_s_v(k,tn) = - ABS( v_comp_l ) * (                            &
+                            ( 10.0_wp * ibit14 * adv_mom_5                     &
+                         +     3.0_wp * ibit13 * adv_mom_3                     &
+                         +              ibit12 * adv_mom_1                     &
+                            ) *                                                &
+                                        ( v(k,j,i)   - v(k,j-1,i) )            &
+                     -      (  5.0_wp * ibit14 * adv_mom_5                     &
+                         +              ibit13 * adv_mom_3                     &
+                            ) *                                                &
+                                        ( v(k,j+1,i) - v(k,j-2,i) )            &
+                     +      (           ibit14 * adv_mom_5                     &
+                            ) *                                                &
+                                        ( v(k,j+2,i) - v(k,j-3,i) )            &
                                                   )
 
@@ -2727,15 +2727,15 @@
 
              v_comp_l       = v(k,j,i) + v(k,j-1,i) - gv
-             flux_s_v(k,tn) = v_comp_l * (                                    &
-                           37.0_wp * ( v(k,j,i)   + v(k,j-1,i)   )            &
-                         -  8.0_wp * ( v(k,j+1,i) + v(k,j-2,i) )              &
+             flux_s_v(k,tn) = v_comp_l * (                                     &
+                           37.0_wp * ( v(k,j,i)   + v(k,j-1,i)   )             &
+                         -  8.0_wp * ( v(k,j+1,i) + v(k,j-2,i) )               &
                          +           ( v(k,j+2,i) + v(k,j-3,i) ) ) * adv_mom_5
-             diss_s_v(k,tn) = - ABS( v_comp_l ) * (                           &
-                           10.0_wp * ( v(k,j,i)   - v(k,j-1,i)   )            &
-                         -  5.0_wp * ( v(k,j+1,i) - v(k,j-2,i) )              &
+             diss_s_v(k,tn) = - ABS( v_comp_l ) * (                            &
+                           10.0_wp * ( v(k,j,i)   - v(k,j-1,i)   )             &
+                         -  5.0_wp * ( v(k,j+1,i) - v(k,j-2,i) )               &
                          +           ( v(k,j+2,i) - v(k,j-3,i) ) ) * adv_mom_5
 
           ENDDO
-          
+
        ENDIF
 !
@@ -2747,34 +2747,34 @@
           ibit10 = REAL( IBITS(advc_flags_m(k,j,i),10,1), KIND = wp )
           ibit9  = REAL( IBITS(advc_flags_m(k,j,i),9,1),  KIND = wp )
- 
+
           u_comp(k) = u(k,j-1,i+1) + u(k,j,i+1) - gu
-          flux_r(k) = u_comp(k) * (                                           &
-                     ( 37.0_wp * ibit11 * adv_mom_5                           &
-                  +     7.0_wp * ibit10 * adv_mom_3                           &
-                  +              ibit9  * adv_mom_1                           &
-                     ) *                                                      &
-                                    ( v(k,j,i+1) + v(k,j,i)   )               &
-              -      (  8.0_wp * ibit11 * adv_mom_5                           &
-                  +              ibit10 * adv_mom_3                           &
-                     ) *                                                      &
-                                    ( v(k,j,i+2) + v(k,j,i-1) )               &
-              +      (           ibit11 * adv_mom_5                           &
-                     ) *                                                      &
-                                    ( v(k,j,i+3) + v(k,j,i-2) )               &
+          flux_r(k) = u_comp(k) * (                                            &
+                     ( 37.0_wp * ibit11 * adv_mom_5                            &
+                  +     7.0_wp * ibit10 * adv_mom_3                            &
+                  +              ibit9  * adv_mom_1                            &
+                     ) *                                                       &
+                                    ( v(k,j,i+1) + v(k,j,i)   )                &
+              -      (  8.0_wp * ibit11 * adv_mom_5                            &
+                  +              ibit10 * adv_mom_3                            &
+                     ) *                                                       &
+                                    ( v(k,j,i+2) + v(k,j,i-1) )                &
+              +      (           ibit11 * adv_mom_5                            &
+                     ) *                                                       &
+                                    ( v(k,j,i+3) + v(k,j,i-2) )                &
                                   )
 
-          diss_r(k) = - ABS( u_comp(k) ) * (                                  &
-                     ( 10.0_wp * ibit11 * adv_mom_5                           &
-                  +     3.0_wp * ibit10 * adv_mom_3                           &
-                  +              ibit9  * adv_mom_1                           &
-                     ) *                                                      &
-                                    ( v(k,j,i+1) - v(k,j,i)  )                &
-              -      (  5.0_wp * ibit11 * adv_mom_5                           &
-                  +              ibit10 * adv_mom_3                           &
-                     ) *                                                      &
-                                    ( v(k,j,i+2) - v(k,j,i-1) )               &
-              +      (           ibit11 * adv_mom_5                           &
-                     ) *                                                      &
-                                    ( v(k,j,i+3) - v(k,j,i-2) )               &
+          diss_r(k) = - ABS( u_comp(k) ) * (                                   &
+                     ( 10.0_wp * ibit11 * adv_mom_5                            &
+                  +     3.0_wp * ibit10 * adv_mom_3                            &
+                  +              ibit9  * adv_mom_1                            &
+                     ) *                                                       &
+                                    ( v(k,j,i+1) - v(k,j,i)  )                 &
+              -      (  5.0_wp * ibit11 * adv_mom_5                            &
+                  +              ibit10 * adv_mom_3                            &
+                     ) *                                                       &
+                                    ( v(k,j,i+2) - v(k,j,i-1) )                &
+              +      (           ibit11 * adv_mom_5                            &
+                     ) *                                                       &
+                                    ( v(k,j,i+3) - v(k,j,i-2) )                &
                                            )
 
@@ -2785,32 +2785,32 @@
 
           v_comp(k) = v(k,j+1,i) + v(k,j,i)
-          flux_n(k) = ( v_comp(k) - gv ) * (                                  &
-                     ( 37.0_wp * ibit14 * adv_mom_5                           &
-                  +     7.0_wp * ibit13 * adv_mom_3                           &
-                  +              ibit12 * adv_mom_1                           &
-                     ) *                                                      &
-                                    ( v(k,j+1,i) + v(k,j,i)   )               &
-              -      (  8.0_wp * ibit14 * adv_mom_5                           &
-                  +              ibit13 * adv_mom_3                           &
-                     ) *                                                      &
-                                    ( v(k,j+2,i) + v(k,j-1,i) )               &
-              +      (           ibit14 * adv_mom_5                           &
-                     ) *                                                      &
-                                    ( v(k,j+3,i) + v(k,j-2,i) )               &
+          flux_n(k) = ( v_comp(k) - gv ) * (                                   &
+                     ( 37.0_wp * ibit14 * adv_mom_5                            &
+                  +     7.0_wp * ibit13 * adv_mom_3                            &
+                  +              ibit12 * adv_mom_1                            &
+                     ) *                                                       &
+                                    ( v(k,j+1,i) + v(k,j,i)   )                &
+              -      (  8.0_wp * ibit14 * adv_mom_5                            &
+                  +              ibit13 * adv_mom_3                            &
+                     ) *                                                       &
+                                    ( v(k,j+2,i) + v(k,j-1,i) )                &
+              +      (           ibit14 * adv_mom_5                            &
+                     ) *                                                       &
+                                    ( v(k,j+3,i) + v(k,j-2,i) )                &
                                            )
 
-          diss_n(k) = - ABS( v_comp(k) - gv ) * (                             &
-                     ( 10.0_wp * ibit14 * adv_mom_5                           &
-                  +     3.0_wp * ibit13 * adv_mom_3                           &
-                  +              ibit12 * adv_mom_1                           &
-                     ) *                                                      &
-                                    ( v(k,j+1,i) - v(k,j,i)   )               &
-              -      (  5.0_wp * ibit14 * adv_mom_5                           &
-                  +              ibit13 * adv_mom_3                           &
-                     ) *                                                      &
-                                    ( v(k,j+2,i) - v(k,j-1,i) )               &
-              +      (           ibit14 * adv_mom_5                           &
-                     ) *                                                      &
-                                    ( v(k,j+3,i) - v(k,j-2,i) )               &
+          diss_n(k) = - ABS( v_comp(k) - gv ) * (                              &
+                     ( 10.0_wp * ibit14 * adv_mom_5                            &
+                  +     3.0_wp * ibit13 * adv_mom_3                            &
+                  +              ibit12 * adv_mom_1                            &
+                     ) *                                                       &
+                                    ( v(k,j+1,i) - v(k,j,i)   )                &
+              -      (  5.0_wp * ibit14 * adv_mom_5                            &
+                  +              ibit13 * adv_mom_3                            &
+                     ) *                                                       &
+                                    ( v(k,j+2,i) - v(k,j-1,i) )                &
+              +      (           ibit14 * adv_mom_5                            &
+                     ) *                                                       &
+                                    ( v(k,j+3,i) - v(k,j-2,i) )                &
                                                 )
        ENDDO
@@ -2819,32 +2819,32 @@
 
           u_comp(k) = u(k,j-1,i+1) + u(k,j,i+1) - gu
-          flux_r(k) = u_comp(k) * (                                           &
-                      37.0_wp * ( v(k,j,i+1) + v(k,j,i)   )                   &
-                    -  8.0_wp * ( v(k,j,i+2) + v(k,j,i-1) )                   &
+          flux_r(k) = u_comp(k) * (                                            &
+                      37.0_wp * ( v(k,j,i+1) + v(k,j,i)   )                    &
+                    -  8.0_wp * ( v(k,j,i+2) + v(k,j,i-1) )                    &
                     +           ( v(k,j,i+3) + v(k,j,i-2) ) ) * adv_mom_5
 
-          diss_r(k) = - ABS( u_comp(k) ) * (                                  &
-                      10.0_wp * ( v(k,j,i+1) - v(k,j,i) )                     &
-                    -  5.0_wp * ( v(k,j,i+2) - v(k,j,i-1) )                   &
+          diss_r(k) = - ABS( u_comp(k) ) * (                                   &
+                      10.0_wp * ( v(k,j,i+1) - v(k,j,i) )                      &
+                    -  5.0_wp * ( v(k,j,i+2) - v(k,j,i-1) )                    &
                     +           ( v(k,j,i+3) - v(k,j,i-2) ) ) * adv_mom_5
 
 
           v_comp(k) = v(k,j+1,i) + v(k,j,i)
-          flux_n(k) = ( v_comp(k) - gv ) * (                                  &
-                      37.0_wp * ( v(k,j+1,i) + v(k,j,i)   )                   &
-                    -  8.0_wp * ( v(k,j+2,i) + v(k,j-1,i) )                   &
+          flux_n(k) = ( v_comp(k) - gv ) * (                                   &
+                      37.0_wp * ( v(k,j+1,i) + v(k,j,i)   )                    &
+                    -  8.0_wp * ( v(k,j+2,i) + v(k,j-1,i) )                    &
                       +         ( v(k,j+3,i) + v(k,j-2,i) ) ) * adv_mom_5
 
-          diss_n(k) = - ABS( v_comp(k) - gv ) * (                             &
-                      10.0_wp * ( v(k,j+1,i) - v(k,j,i)   )                   &
-                    -  5.0_wp * ( v(k,j+2,i) - v(k,j-1,i) )                   &
+          diss_n(k) = - ABS( v_comp(k) - gv ) * (                              &
+                      10.0_wp * ( v(k,j+1,i) - v(k,j,i)   )                    &
+                    -  5.0_wp * ( v(k,j+2,i) - v(k,j-1,i) )                    &
                     +           ( v(k,j+3,i) - v(k,j-2,i) ) ) * adv_mom_5
        ENDDO
 !
-!--    Now, compute vertical fluxes. Split loop into a part treating the 
+!--    Now, compute vertical fluxes. Split loop into a part treating the
 !--    lowest grid points with indirect indexing, a main loop without
 !--    indirect indexing, and a loop for the uppermost grip points with
 !--    indirect indexing. This allows better vectorization for the main loop.
-!--    First, compute the flux at model surface, which need has to be 
+!--    First, compute the flux at model surface, which need has to be
 !--    calculated explicitly for the tendency at
 !--    the first w-level. For topography wall this is done implicitely by
@@ -2853,5 +2853,5 @@
        diss_t(nzb) = 0.0_wp
        w_comp(nzb) = 0.0_wp
-       
+
        DO  k = nzb+1, nzb+1
 !
@@ -2867,35 +2867,35 @@
 
           w_comp(k) = w(k,j-1,i) + w(k,j,i)
-          flux_t(k) = w_comp(k) * rho_air_zw(k) * (                           &
-                     ( 37.0_wp * ibit17 * adv_mom_5                           &
-                  +     7.0_wp * ibit16 * adv_mom_3                           &
-                  +              ibit15 * adv_mom_1                           &
-                     ) *                                                      &
-                                ( v(k+1,j,i)   + v(k,j,i)    )                &
-              -      (  8.0_wp * ibit17 * adv_mom_5                           &
-                  +              ibit16 * adv_mom_3                           &
-                     ) *                                                      &
-                                ( v(k_pp,j,i)  + v(k-1,j,i)  )                &
-              +      (           ibit17 * adv_mom_5                           &
-                     ) *                                                      &
-                                ( v(k_ppp,j,i) + v(k_mm,j,i) )                &
+          flux_t(k) = w_comp(k) * rho_air_zw(k) * (                            &
+                     ( 37.0_wp * ibit17 * adv_mom_5                            &
+                  +     7.0_wp * ibit16 * adv_mom_3                            &
+                  +              ibit15 * adv_mom_1                            &
+                     ) *                                                       &
+                                ( v(k+1,j,i)   + v(k,j,i)    )                 &
+              -      (  8.0_wp * ibit17 * adv_mom_5                            &
+                  +              ibit16 * adv_mom_3                            &
+                     ) *                                                       &
+                                ( v(k_pp,j,i)  + v(k-1,j,i)  )                 &
+              +      (           ibit17 * adv_mom_5                            &
+                     ) *                                                       &
+                                ( v(k_ppp,j,i) + v(k_mm,j,i) )                 &
                                                   )
 
-          diss_t(k) = - ABS( w_comp(k) ) * rho_air_zw(k) * (                  &
-                     ( 10.0_wp * ibit17 * adv_mom_5                           &
-                  +     3.0_wp * ibit16 * adv_mom_3                           &
-                  +              ibit15 * adv_mom_1                           &
-                     ) *                                                      &
-                                ( v(k+1,j,i)   - v(k,j,i)    )                &
-              -      (  5.0_wp * ibit17 * adv_mom_5                           &
-                  +              ibit16 * adv_mom_3                           &
-                     ) *                                                      &
-                                ( v(k_pp,j,i)  - v(k-1,j,i)  )                &
-              +      (           ibit17 * adv_mom_5                           &
-                     ) *                                                      &
-                                ( v(k_ppp,j,i) - v(k_mm,j,i) )                &
+          diss_t(k) = - ABS( w_comp(k) ) * rho_air_zw(k) * (                   &
+                     ( 10.0_wp * ibit17 * adv_mom_5                            &
+                  +     3.0_wp * ibit16 * adv_mom_3                            &
+                  +              ibit15 * adv_mom_1                            &
+                     ) *                                                       &
+                                ( v(k+1,j,i)   - v(k,j,i)    )                 &
+              -      (  5.0_wp * ibit17 * adv_mom_5                            &
+                  +              ibit16 * adv_mom_3                            &
+                     ) *                                                       &
+                                ( v(k_pp,j,i)  - v(k-1,j,i)  )                 &
+              +      (           ibit17 * adv_mom_5                            &
+                     ) *                                                       &
+                                ( v(k_ppp,j,i) - v(k_mm,j,i) )                 &
                                                            )
        ENDDO
-       
+
        DO  k = nzb+2, nzt-2
 
@@ -2905,35 +2905,35 @@
 
           w_comp(k) = w(k,j-1,i) + w(k,j,i)
-          flux_t(k) = w_comp(k) * rho_air_zw(k) * (                           &
-                     ( 37.0_wp * ibit17 * adv_mom_5                           &
-                  +     7.0_wp * ibit16 * adv_mom_3                           &
-                  +              ibit15 * adv_mom_1                           &
-                     ) *                                                      &
-                                ( v(k+1,j,i) + v(k,j,i)   )                   &
-              -      (  8.0_wp * ibit17 * adv_mom_5                           &
-                  +              ibit16 * adv_mom_3                           &
-                     ) *                                                      &
-                                ( v(k+2,j,i) + v(k-1,j,i) )                   &
-              +      (           ibit17 * adv_mom_5                           &
-                     ) *                                                      &
-                                ( v(k+3,j,i) + v(k-2,j,i) )                   &
+          flux_t(k) = w_comp(k) * rho_air_zw(k) * (                            &
+                     ( 37.0_wp * ibit17 * adv_mom_5                            &
+                  +     7.0_wp * ibit16 * adv_mom_3                            &
+                  +              ibit15 * adv_mom_1                            &
+                     ) *                                                       &
+                                ( v(k+1,j,i) + v(k,j,i)   )                    &
+              -      (  8.0_wp * ibit17 * adv_mom_5                            &
+                  +              ibit16 * adv_mom_3                            &
+                     ) *                                                       &
+                                ( v(k+2,j,i) + v(k-1,j,i) )                    &
+              +      (           ibit17 * adv_mom_5                            &
+                     ) *                                                       &
+                                ( v(k+3,j,i) + v(k-2,j,i) )                    &
                                                   )
 
-          diss_t(k) = - ABS( w_comp(k) ) * rho_air_zw(k) * (                  &
-                     ( 10.0_wp * ibit17 * adv_mom_5                           &
-                  +     3.0_wp * ibit16 * adv_mom_3                           &
-                  +              ibit15 * adv_mom_1                           &
-                     ) *                                                      &
-                                ( v(k+1,j,i) - v(k,j,i)   )                   &
-              -      (  5.0_wp * ibit17 * adv_mom_5                           &
-                  +              ibit16 * adv_mom_3                           &
-                     ) *                                                      &
+          diss_t(k) = - ABS( w_comp(k) ) * rho_air_zw(k) * (                   &
+                     ( 10.0_wp * ibit17 * adv_mom_5                            &
+                  +     3.0_wp * ibit16 * adv_mom_3                            &
+                  +              ibit15 * adv_mom_1                            &
+                     ) *                                                       &
+                                ( v(k+1,j,i) - v(k,j,i)   )                    &
+              -      (  5.0_wp * ibit17 * adv_mom_5                            &
+                  +              ibit16 * adv_mom_3                            &
+                     ) *                                                       &
                                 ( v(k+2,j,i) - v(k-1,j,i) )                    &
-              +      (           ibit17 * adv_mom_5                           &
-                     ) *                                                      &
-                                ( v(k+3,j,i) - v(k-2,j,i) )                   &
+              +      (           ibit17 * adv_mom_5                            &
+                     ) *                                                       &
+                                ( v(k+3,j,i) - v(k-2,j,i) )                    &
                                                            )
        ENDDO
-       
+
        DO  k = nzt-1, nzt-symmetry_flag
 !
@@ -2949,39 +2949,39 @@
 
           w_comp(k) = w(k,j-1,i) + w(k,j,i)
-          flux_t(k) = w_comp(k) * rho_air_zw(k) * (                           &
-                     ( 37.0_wp * ibit17 * adv_mom_5                           &
-                  +     7.0_wp * ibit16 * adv_mom_3                           &
-                  +              ibit15 * adv_mom_1                           &
-                     ) *                                                      &
-                                ( v(k+1,j,i)   + v(k,j,i)    )                &
-              -      (  8.0_wp * ibit17 * adv_mom_5                           &
-                  +              ibit16 * adv_mom_3                           &
-                     ) *                                                      &
-                                ( v(k_pp,j,i)  + v(k-1,j,i)  )                &
-              +      (           ibit17 * adv_mom_5                           &
-                     ) *                                                      &
-                                ( v(k_ppp,j,i) + v(k_mm,j,i) )                &
+          flux_t(k) = w_comp(k) * rho_air_zw(k) * (                            &
+                     ( 37.0_wp * ibit17 * adv_mom_5                            &
+                  +     7.0_wp * ibit16 * adv_mom_3                            &
+                  +              ibit15 * adv_mom_1                            &
+                     ) *                                                       &
+                                ( v(k+1,j,i)   + v(k,j,i)    )                 &
+              -      (  8.0_wp * ibit17 * adv_mom_5                            &
+                  +              ibit16 * adv_mom_3                            &
+                     ) *                                                       &
+                                ( v(k_pp,j,i)  + v(k-1,j,i)  )                 &
+              +      (           ibit17 * adv_mom_5                            &
+                     ) *                                                       &
+                                ( v(k_ppp,j,i) + v(k_mm,j,i) )                 &
                                                   )
 
-          diss_t(k) = - ABS( w_comp(k) ) * rho_air_zw(k) * (                  &
-                     ( 10.0_wp * ibit17 * adv_mom_5                           &
-                  +     3.0_wp * ibit16 * adv_mom_3                           &
-                  +              ibit15 * adv_mom_1                           &
-                     ) *                                                      &
-                                ( v(k+1,j,i)   - v(k,j,i)    )                &
-              -      (  5.0_wp * ibit17 * adv_mom_5                           &
-                  +              ibit16 * adv_mom_3                           &
-                     ) *                                                      &
-                                ( v(k_pp,j,i)  - v(k-1,j,i)  )                &
-              +      (           ibit17 * adv_mom_5                           &
-                     ) *                                                      &
-                                ( v(k_ppp,j,i) - v(k_mm,j,i) )                &
+          diss_t(k) = - ABS( w_comp(k) ) * rho_air_zw(k) * (                   &
+                     ( 10.0_wp * ibit17 * adv_mom_5                            &
+                  +     3.0_wp * ibit16 * adv_mom_3                            &
+                  +              ibit15 * adv_mom_1                            &
+                     ) *                                                       &
+                                ( v(k+1,j,i)   - v(k,j,i)    )                 &
+              -      (  5.0_wp * ibit17 * adv_mom_5                            &
+                  +              ibit16 * adv_mom_3                            &
+                     ) *                                                       &
+                                ( v(k_pp,j,i)  - v(k-1,j,i)  )                 &
+              +      (           ibit17 * adv_mom_5                            &
+                     ) *                                                       &
+                                ( v(k_ppp,j,i) - v(k_mm,j,i) )                 &
                                                            )
        ENDDO
-       
+
 !
 !--    Set resolved/turbulent flux at model top to zero (w-level). In case that
 !--    a symmetric behavior between bottom and top shall be guaranteed (closed
-!--    channel flow), the flux at nzt is also set to zero. 
+!--    channel flow), the flux at nzt is also set to zero.
        IF ( symmetry_flag == 1 ) THEN
           flux_t(nzt) = 0.0_wp
